const fs = require("fs");
const getOptions = require('./getOptions');
const verifySession = require("./verifySession");

const options = getOptions();

var path = options.database.fileSystem.path;

function loginWithSession(sessionToken, ip) {
	// if (!fs.existsSync(path + sessionToken + ".json")) { 
	// 	return [false, "session file doesn't exists!"];
	// } else {
	// 	var sessionFile = JSON.parse(fs.readFileSync(path + sessionToken + ".json").toString());
	// 	if (sessionFile.loggedIn) {
	// 		return [true, sessionFile];
	// 	}
	// }
	var verify = verifySession("", "sessionToken=" + sessionToken, ip);
	if (!verify[0]) {
		return verify;
	} else {
		if (!fs.existsSync(path + sessionToken + ".json")) { 
			return [false, "session file doesn't exists!"];
		} else {
			var sessionFile = JSON.parse(fs.readFileSync(path + sessionToken + ".json").toString());
			if (sessionFile.loggedIn) {
				return [true, sessionFile];
			} else {
				return [false, "no user is dedicated to this session!"];
			}
		}
	}
}

module.exports = loginWithSession;