const main = require('./app');
const fs = require('fs');
const getOptions = require('./getOptions');

const options = getOptions();

function saveSession(sessionInfo) {
  var db = options.database.type;
  switch (db) {
    case "File System":
      var path = options.database.fileSystem.path;
      fs.writeFileSync(path + sessionInfo.sessionToken + ".json", JSON.stringify(sessionInfo))
      break;
    default:
      console.log("The database type '" + options.database.type + "' isn't supported!");
  }
}

module.exports = saveSession;
